WPGTextDataHandler Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPGTextDataHandler Class Reference

`#include <WPGXParser.h>`

Inheritance diagram for WPGTextDataHandler:

## Public Member Functions
| WPGTextDataHandler (librevenge::RVNGDrawingInterface *painter)
| ~WPGTextDataHandler ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &)
void | startDocument (const librevenge::RVNGPropertyList &)
void | endDocument ()
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &)
void | definePageStyle (const librevenge::RVNGPropertyList &)
void | openPageSpan (const librevenge::RVNGPropertyList &)
void | closePageSpan ()
void | openHeader (const librevenge::RVNGPropertyList &)
void | closeHeader ()
void | openFooter (const librevenge::RVNGPropertyList &)
void | closeFooter ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &)
void | closeLink ()
void | defineSectionStyle (const librevenge::RVNGPropertyList &)
void | openSection (const librevenge::RVNGPropertyList &)
void | closeSection ()
void | insertTab ()
void | insertSpace ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | openFootnote (const librevenge::RVNGPropertyList &)
void | closeFootnote ()
void | openEndnote (const librevenge::RVNGPropertyList &)
void | closeEndnote ()
void | openComment (const librevenge::RVNGPropertyList &)
void | closeComment ()
void | openTextBox (const librevenge::RVNGPropertyList &)
void | closeTextBox ()
void | openTable (const librevenge::RVNGPropertyList &)
void | openTableRow (const librevenge::RVNGPropertyList &)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &)
void | closeTable ()
void | openFrame (const librevenge::RVNGPropertyList &)
void | closeFrame ()
void | openGroup (const librevenge::RVNGPropertyList &)
void | closeGroup ()
void | defineGraphicStyle (const librevenge::RVNGPropertyList &)
void | drawRectangle (const librevenge::RVNGPropertyList &)
void | drawEllipse (const librevenge::RVNGPropertyList &)
void | drawPolygon (const librevenge::RVNGPropertyList &)
void | drawPolyline (const librevenge::RVNGPropertyList &)
void | drawPath (const librevenge::RVNGPropertyList &)
void | drawConnector (const librevenge::RVNGPropertyList &)
void | insertBinaryObject (const librevenge::RVNGPropertyList &)
void | insertEquation (const librevenge::RVNGPropertyList &)

## Private Member Functions
| WPGTextDataHandler (const WPGTextDataHandler &)
WPGTextDataHandler & | operator= (const WPGTextDataHandler &)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
::librevenge::RVNGString | m_fontName
::librevenge::RVNGPropertyList | m_paragraphStyle
::librevenge::RVNGPropertyList | m_textStyle

## Constructor & Destructor Documentation

WPGTextDataHandler::WPGTextDataHandler | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| inline

WPGTextDataHandler::~WPGTextDataHandler | ( |  | ) |
| inline

WPGTextDataHandler::WPGTextDataHandler | ( | const WPGTextDataHandler & |  | ) |
| private

## Member Function Documentation

void WPGTextDataHandler::closeComment | ( |  | ) |
| inline

void WPGTextDataHandler::closeEndnote | ( |  | ) |
| inline

void WPGTextDataHandler::closeFooter | ( |  | ) |
| inline

void WPGTextDataHandler::closeFootnote | ( |  | ) |
| inline

void WPGTextDataHandler::closeFrame | ( |  | ) |
| inline

void WPGTextDataHandler::closeGroup | ( |  | ) |
| inline

void WPGTextDataHandler::closeHeader | ( |  | ) |
| inline

void WPGTextDataHandler::closeLink | ( |  | ) |
| inline

void WPGTextDataHandler::closeListElement | ( |  | ) |

void WPGTextDataHandler::closeOrderedListLevel | ( |  | ) |
| inline

void WPGTextDataHandler::closePageSpan | ( |  | ) |
| inline

void WPGTextDataHandler::closeParagraph | ( |  | ) |

void WPGTextDataHandler::closeSection | ( |  | ) |
| inline

void WPGTextDataHandler::closeSpan | ( |  | ) |

void WPGTextDataHandler::closeTable | ( |  | ) |
| inline

void WPGTextDataHandler::closeTableCell | ( |  | ) |
| inline

void WPGTextDataHandler::closeTableRow | ( |  | ) |
| inline

void WPGTextDataHandler::closeTextBox | ( |  | ) |
| inline

void WPGTextDataHandler::closeUnorderedListLevel | ( |  | ) |
| inline

void WPGTextDataHandler::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawConnector | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawEllipse | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawPath | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawPolygon | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawPolyline | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::drawRectangle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::endDocument | ( |  | ) |
| inline

void WPGTextDataHandler::insertBinaryObject | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::insertEquation | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::insertField | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::insertLineBreak | ( |  | ) |

void WPGTextDataHandler::insertSpace | ( |  | ) |

void WPGTextDataHandler::insertTab | ( |  | ) |

void WPGTextDataHandler::insertText | ( | const librevenge::RVNGString & | text | ) |

void WPGTextDataHandler::openComment | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openEndnote | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openFooter | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openFootnote | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openFrame | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openGroup | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openHeader | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openLink | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void WPGTextDataHandler::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openPageSpan | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void WPGTextDataHandler::openSection | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void WPGTextDataHandler::openTable | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openTableRow | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openTextBox | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

WPGTextDataHandler& WPGTextDataHandler::operator= | ( | const WPGTextDataHandler & |  | ) |
| private

void WPGTextDataHandler::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

void WPGTextDataHandler::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |
| inline

## Member Data Documentation

::librevenge::RVNGString WPGTextDataHandler::m_fontName
| private

librevenge::RVNGDrawingInterface* WPGTextDataHandler::m_painter
| private

Referenced by closeListElement(), closeParagraph(), closeSpan(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openListElement(), openParagraph(), and openSpan().

::librevenge::RVNGPropertyList WPGTextDataHandler::m_paragraphStyle
| private

::librevenge::RVNGPropertyList WPGTextDataHandler::m_textStyle
| private

The documentation for this class was generated from the following files:

- WPGXParser.h
- WPGXParser.cpp